{% extends "base.html" %} {% load static %} {% block css %}
<link rel="stylesheet" href="{% static 'css/plugins/bootstrap-tagsinput.css' %}">
<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" /> {% endblock css %} {% block title %}

<h1>Proponer Proyectos</h1>
<ol class="breadcrumb">
    <li>
        <a href="index.html">Dashboard</a>
    </li>
    <li>
        Proyectos
    </li>
    <li class="active">Proponer Poyectos</li>
</ol>
{% endblock title %} {% block content %}
<div>
    <div id="content" class="container-fluid row">
        <div class="col-sm-12 col-md-12">
            <div class="card">
                <header class="card-heading card-blue">
                    <div class="row">
                        <div class="col-sm-7">
                            <h2 class="card-title">ABET</h2>
                        </div>
                    </div>
                </header>
                <div class="card-body">
                    <div class="row">
                        <div class="col-sm-8 col-md-8">
                            <div class="form-group">
                                <label for="id_carreer" class="control-label">Carrera:</label>
                                <h2>{{carreer|safe}}</h2>
                            </div>
                        </div>
                    </div>
                    
                    <div class="row outcomes animated fadeIn" id="outcome_btn">
                        <hr>
                        <div class="col-md-12">
                            <a type="button" id="add_outcome" class="btn btn-block btn-primary">Agregar Outcome</a>
                        </div>
                    </div>
                    <div class="row animated fadeInRight" id="outcome_form" style="display:none">
                        <div class="col-md-10">
                            <div class="form-group">
                                <label class="control-label" for="id_outcome_desc">Descripcion Outcome: </label>
                                <div class=" ">
                                    <textarea class=" form-control" cols="40" id="id_outcome_desc" name="outcome_desc" rows="10" required="" style="width: 877px; height: 73px;"></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <a type="button" style="margin-top: 24px" id="accept_desc" class="btn btn-block btn-primary">
                                Aceptar
                                <i class="fa fa-check" style="color:white"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="col-sm-12 col-md-12">
    <div class="card outcomes" style="display:none">
        <header class="card-heading card-blue text-center">
        <h2 class="card-title">Outcomes</h2>
        </header>
    </div>
</div>
<div class="col-sm-12 col-md-12">
    <div id="outcome_content" class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
        {% for outcome in outcomes %}
        <div class="panel panel-default animated fadeInRight">
            <div class="panel-heading" role="tab" id="heading{{outcome.pk}}">
                <h4 class="panel-title">
                    <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse{{outcome.pk}}" aria-expanded="true" aria-controls="collapse{{outcome.pk}}">
                        {{outcome.letter}}. {{outcome.description|truncatechars:54}}...
                    </a>
                </h4>
            </div>
            <div id="collapse{{outcome.pk}}" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="heading{{outcome.pk}}">
                <div class="panel-body">
                    <div class="row">
                        <div class="col-sm-12 col-md-6">
                            <button class="btn btn-block btn-info add_criteria" data-toggle="modal" data-target="#modal_criteria"  data-outcomepk="{{outcome.pk}}"> Agregar Criterio</button>
                        </div>
                        <div class="col-sm-12 col-md-6">
                            <button class="btn btn-block btn-danger outcome_del" data-outcomepk="{{outcome.pk}}"> Eliminar Outcome</button>
                        </div>
                    </div>
                    <table class="table table-striped table-bordered">
                        <thead>
                            <tr>
                                <th class="col-md-4" style="text-align:center;">Descripcion Criterio</th>
                                <th class="col-md-2" style="text-align:center;">Suficiente</th>
                                <th class="col-md-2" style="text-align:center;">En Proceso</th>
                                <th class="col-md-2" style="text-align:center;">Inscipiente</th>
                                <th class="col-md-2" style="text-align:center;">Acciones</th>
                            </tr>
                        </thead>
                        <tbody style="vertical-align:middle" id="content_table_criteria_'+ response.outcome_pk +'">
                        {% for criteria in outcome.criteria_set.all %}
                            <tr id='row_criteria_{{criteria.pk}}'>
                                <td>{{criteria.description}}</td>
                                <td>{{criteria.criteria_info.suficient}}</td>
                                <td>{{criteria.criteria_info.inprocess}}</td>
                                <td>{{criteria.criteria_info.inscipient}}</td>
                                <td>
                                    <a type='button' class='btn btn-sm btn-warning' data-toggle='modal' data-target='#modal_criteria_edit' style='margin-bottom: 10px;' data-criteriapk={{criteria.pk}}>
                                        Editar
                                        <i class='fa fa-pencil' style='color:white'></i>
                                    </a>
                                    <button class='btn btn-danger btn-sm crit_del' data-criteriapk={{criteria.pk}} ><i class='fa fa-times'></i> Eliminar </button>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>
<div class="row save col-sm-12 col-md-12" style="display:none">
    <div class="col-md-4 pull-right">
        <a id="guardar" type="button" style="margin-top: 24px" class="btn btn-block btn-primary">
            Guardar
            <i class="fa fa-check" style="color:white"></i>
        </a>
    </div>
</div>
<!-- modal Editar criterio-->
<div class="modal fade" id="modal_criteria_edit" tabindex="-1" role="dialog" aria-labelledby="criteriaEditModal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header bg-primary">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h2 style="color:white" class="text-center">Editar Criterio</h2>
            </div>
            <div class="modal-body">
                <span>
                    <div class="form-group">
                        <label class="control-label  " for="id_desc_criterio_edit">Descripcion de Criterio</label>
                    </div>
                    <div class=" ">
                        <textarea class="form-control" cols="40" id="id_desc_criterio_edit" name="name" required="" rows="10" style="width: 544px; height: 78px;"></textarea>
                    </div>
                </span>
                <hr>
                <h3>
                    <strong>
                        Descripciones Evaluativas
                    </strong>
                </h3>
                <div class="row">
                    <span class="col-lg-4">
                    <div class="form-group">
                        <label class="control-label" for="id_sufficient_edit">Suficiente</label>
                        <div class=" ">
                            <textarea class=" form-control" cols="40" id="id_sufficient_edit" name="sufficient" rows="10" required="" style="width: 167px; height: 226px;"></textarea>
                        </div>
                    </div>
                    </span>
                    <span class="col-lg-4">
                    <div class="form-group">
                        <label class="control-label  " for="id_inProcess_edit">En Proceso</label>
                        <div class=" ">
                            <textarea class=" form-control" cols="40" id="id_inProcess_edit" name="inProcess" rows="10" required="" style="width: 167px; height: 226px;"></textarea>
                        </div>
                    </div>
                    </span>
                    <span class="col-lg-4">
                    <div class="form-group">
                        <label class="control-label" for="id_inscipient_edit">Incipiente</label>
                        <div class=" ">
                            <textarea class=" form-control" cols="40" id="id_inscipient_edit" name="inscipient" rows="10" required="" style="width: 167px; height: 226px;"></textarea>
                        </div>
                    </div>
                    </span>
                </div>
            </div>
            <div class="modal-footer bg-primary">
                <button type="button" class="btn btn-primary" data-dismiss="modal" id="edit_criteria">Editar</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modal_criteria" tabindex="-1" role="dialog" aria-labelledby="criteriaModal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header bg-primary">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h2 class="text-center" style="color:white">Creación de Criterio</h2>
            </div>
            <div class="modal-body">
                <span>
                    <div class="form-group">
                        <label class="control-label" for="id_desc_criterio">Descripcion de Criterio</label>
                    </div>
                    <div class=" ">
                        <textarea class="form-control" cols="40" id="id_desc_criterio" name="name" required="" rows="10" style="width: 544px; height: 78px;"></textarea>
                    </div>
                </span>
                <hr>
                <h3>
                    <strong>
                        Descripciones Evaluativas
                    </strong>
                </h3>
                <div class="row">
                    <span class="col-lg-4">
                    <div class="form-group">
                        <label class="control-label" for="id_sufficient">Suficiente</label>
                        <div class=" ">
                            <textarea class=" form-control" cols="40" id="id_sufficient" name="sufficient" rows="10" required="" style="width: 167px; height: 226px;"></textarea>
                        </div>
                    </div>
                    </span>
                    <span class="col-lg-4">
                    <div class="form-group">
                        <label class="control-label  " for="id_inProcess">En Proceso</label>
                        <div class=" ">
                            <textarea class=" form-control" cols="40" id="id_inProcess" name="inProcess" rows="10" required="" style="width: 167px; height: 226px;"></textarea>
                        </div>
                    </div>
                    </span>
                    <span class="col-lg-4">
                    <div class="form-group">
                        <label class="control-label" for="id_inscipient">Insipiente</label>
                        <div class=" ">
                            <textarea class=" form-control" cols="40" id="id_inscipient" name="inscipient" rows="10" required="" style="width: 167px; height: 226px;"></textarea>
                        </div>
                    </div>
                    </span>
                </div>
            </div>
            <hr>
            <div class="modal-footer bg-primary">
                <button type="button" class="btn btn-primary" data-dismiss="modal" id="accept_criteria">Aceptar</button>
            </div>
        </div>
    </div>
</div>

{% endblock content %} {% block javascript %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>
<script src="{% static 'js/plugins/bootstrap-tagsinput/bootstrap-tagsinput.js' %}"></script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.js'></script>
<script>
    $(document).on("click",".outcome_del",function(e){
        var outcome_pk = $(this).data('outcomepk');
        var button = $(this);
        data = {
            outcome_pk: outcome_pk,
            csrfmiddlewaretoken: '{{ csrf_token }}'
        };
    
        $.post("{% url 'outcome_delete' %}", data,function(response){
            button.parent().parent().parent().parent().parent().remove();
        });
    
    });
    
    $(document).on("click",".crit_del",function(e){
        var criteria_pk = $(this).data('criteriapk');
        var button = $(this);
        data = {
            criteria_pk: criteria_pk,
            csrfmiddlewaretoken: '{{ csrf_token }}'
        };
    
        $.post("{% url 'criteria_delete' %}", data,function(response){
            button.parent().parent().remove();
        });
    
    });
    
    
    $(document).ready(function(){
        $("#guardar").click(function(){
            window.location.reload();
        });
        $("#accept_name").click(function(){
            $("#id_name").prop('disabled', true);
            $("#id_carreer").prop('disabled', true);
            $(".outcomes").addClass("animated fadeIn");
            $(".outcomes").show();
    
            var abet_name = $("#id_name").val();
            var abet_carreer = $("#id_carreer").val();
            data = {
                    abet_name: abet_name,
                    abet_carreer: abet_carreer,
                    csrfmiddlewaretoken: '{{ csrf_token }}'
                   };
            console.log(data);
            $.post("{% url 'abet_create' %}",data, function(response){
                abet_pk = response.pk;
            });
        });
    
        $("#add_outcome").click(function(){
            $("#outcome_btn").removeClass("fadeIn");
            $("#outcome_btn").addClass("fadeOut");
            $("#outcome_btn").hide();
            $("#outcome_form").removeClass("fadeOut");
            $("#outcome_form").addClass("fadeIn");
            $("#outcome_form").show();
        });
    
        $("#accept_desc").click(function(){
            $(".save").show();
            $("#outcome_form").removeClass("fadeIn");
            $("#outcome_form").addClass("fadeOut");
            $("#outcome_form").hide();
            $("#outcome_btn").removeClass("fadeOut");
            $("#outcome_btn").addClass("fadeIn");
            $("#outcome_btn").show();
            var outcome_desc = $("#id_outcome_desc").val();
            data = {
                abet_pk: "{{abet.pk}}",
                outcome_desc: outcome_desc,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            };
    
            $.post("{% url 'outcome_create' %}", data, function(response){
                $("#outcome_content").append('<div class="panel panel-default animated fadeInRight">\
                                                <div class="panel-heading" role="tab" id="heading'+ response.outcome_pk +'">\
                                                    <h4 class="panel-title">\
                                                        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse'+ response.outcome_pk +'" aria-expanded="true" aria-controls="collapse'+ response.outcome_pk +'">\
                                                            '+ response.outcome_letter + '. ' + response.outcome_desc_response + '\
                                                        </a>\
                                                    </h4>\
                                                </div>\
                                                <div id="collapse'+ response.outcome_pk +'" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="heading'+ response.outcome_pk +'">\
                                                    <div class="panel-body">\
                                                        <div class="row">\
                                                            <div class="col-sm-12 col-md-6">\
                                                                <button class="btn btn-block btn-info add_criteria" data-toggle="modal" data-target="#modal_criteria"  data-outcomepk="'+ response.outcome_pk +'"> Agregar Criterio</button>\
                                                            </div>\
                                                            <div class="col-sm-12 col-md-6">\
                                                                <button class="btn btn-block btn-danger outcome_del" data-outcomepk="'+ response.outcome_pk +'"> Eliminar Outcome</button> \
                                                            </div>\
                                                        </div>\
                                                        <table class="table table-striped table-bordered">\
                                                            <thead>\
                                                                <tr>\
                                                                    <th class="col-md-4" style="text-align:center;">Descripcion Criterio</th>\
                                                                    <th class="col-md-2" style="text-align:center;">Suficiente</th>\
                                                                    <th class="col-md-2" style="text-align:center;">En Proceso</th>\
                                                                    <th class="col-md-2" style="text-align:center;">Inscipiente</th>\
                                                                    <th class="col-md-2" style="text-align:center;">Acciones</th>\
                                                                </tr>\
                                                            </thead>\
                                                            <tbody style="vertical-align:middle" id="content_table_criteria_'+ response.outcome_pk +'">\
                                                            </tbody>\
                                                        </table>\
                                                    </div>\
                                                </div>\
                                            </div>');
    
                $("#id_outcome_desc").val("");
            });
        });
    
        $('#modal_criteria_edit').on('show.bs.modal', function (event) {
    
            var button = $(event.relatedTarget) // Button that triggered the modal
    
            pk_criteria = button.data('criteriapk'); // Extract info from data-* attributes
            var modal = $(this);
            // moredata: 'moredata',
            data = {
                criteria_pk : pk_criteria,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
            $.post("{% url 'get_criteria_info' %}",data,function(response){
                $("#id_desc_criterio_edit").val(response.criteria_desc);
                $("#id_inscipient_edit").val(response.criteria_ins);
                $("#id_inProcess_edit").val(response.criteria_inpr);
                $("#id_sufficient_edit").val(response.criteria_suf);
            });
        });
    
        $('#modal_criteria').on('show.bs.modal', function (event) {
    
            var button = $(event.relatedTarget); // Button that triggered the modal
            var modal = $(this);
            pk_outcome = button.data('outcomepk');
        });
    
        $("#accept_criteria").click(function(){
            var outcome_pk = pk_outcome; // Extract info from data-* attributes
            var criteria_desc = $("#id_desc_criterio").val();
            var criteria_inscipient = $("#id_inscipient").val();
            var criteria_inProcess = $("#id_inProcess").val();
            var criteria_sufficient = $("#id_sufficient").val();
            // moredata: 'moredata',
            data = {
                criteria_sufficient: criteria_sufficient,
                criteria_inProcess: criteria_inProcess,
                criteria_inscipient: criteria_inscipient,
                criteria_desc: criteria_desc,
                outcome_pk: outcome_pk,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            };
    
            $.post("{% url 'criteria_create' %}", data,function(response){
                $("#content_table_criteria_"+outcome_pk).append("<tr id='row_criteria_"+ response.criteria_pk +"'>\
                                                                     <td style='text-align:center;vertical-align:middle'>"+response.criteria_desc+"</td>\
                                                                     <td style='text-align:center;vertical-align:middle'>"+response.criteria_suf+"</td>\
                                                                     <td style='text-align:center;vertical-align:middle'>"+response.criteria_inpr+"</td>\
                                                                     <td style='text-align:center;vertical-align:middle'>"+response.criteria_ins+"</td>\
                                                                     <td style='text-align:center;vertical-align:middle'>\
                                                                        <a type='button' class='btn btn-sm btn-warning' data-toggle='modal' data-target='#modal_criteria_edit' style='margin-bottom: 10px;' data-criteriapk='"+ response.criteria_pk +"'>\
                                                                            Editar\
                                                                            <i class='fa fa-pencil' style='color:white'></i>\
                                                                        </a>\
                                                                        <button class='btn btn-danger btn-sm crit_del' data-criteriapk='"+ response.criteria_pk +"' ><i class='fa fa-times'></i> Eliminar </button>\
                                                                     </td>\
                                                                 </tr>");
                $("#id_desc_criterio").val("");
                $("#id_inscipient").val("");
                $("#id_inProcess").val("");
                $("#id_sufficient").val("");
    
            });
        });
    
        $("#edit_criteria").click(function(){
            var criteria_pk = pk_criteria;
            var criteria_desc = $("#id_desc_criterio_edit").val();
            var criteria_inscipient = $("#id_inscipient_edit").val();
            var criteria_inProcess = $("#id_inProcess_edit").val();
            var criteria_sufficient = $("#id_sufficient_edit").val();
            // moredata: 'moredata',
            data = {
                criteria_sufficient: criteria_sufficient,
                criteria_inProcess: criteria_inProcess,
                criteria_inscipient: criteria_inscipient,
                criteria_desc: criteria_desc,
                criteria_pk: criteria_pk,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            };
    
            $.post("{% url 'criteria_edit' %}", data,function(response){
                $("#row_criteria_"+ response.criteria_pk).html("<td>"+response.criteria_desc+"</td>\
                                                                <td>"+response.criteria_suf+"</td>\
                                                                <td>"+response.criteria_inpr+"</td>\
                                                                <td>"+response.criteria_ins+"</td>\
                                                                <td>\
                                                                   <a type='button' class='btn btn-sm btn-warning' data-toggle='modal' data-target='#modal_criteria_edit' style='margin-bottom: 10px;' data-criteriapk='"+ response.criteria_pk +"'>\
                                                                       Editar\
                                                                       <i class='fa fa-pencil' style='color:white'></i>\
                                                                   </a>\
                                                                   <button class='btn btn-danger btn-sm crit_del' data-criteriapk='"+ response.criteria_pk +"' ><i class='fa fa-times'></i> Eliminar </button>\
                                                                </td>");
    
            });
        });
    });
    
</script> {% endblock javascript %}